package main

import (
	"golang.source-fellows.com/pattern/chainofresponsibility/internal/model"
)

func main() {

	third := model.NewThirdLevelSupportHandler()
	second := model.NewSecondLevelSupportHandler(third)
	first := model.NewFirstLevelSupportHandler(second)

	first.HandleRequest(model.CustomerRequest{})

}
